Debian Bug report logs - #701455
ITP: libgetopt-complete-perl -- programmable shell completion for Perl apps

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>

Date: Sat, 23 Feb 2013 11:42:02 UTC

Owned by: olivier sallou <osallou@debian.org>

Severity: wishlist

Fixed in version libgetopt-complete-perl/0.26-1

Done: Olivier Sallou <osallou@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.alioth.debian.org, debian-perl-packaging@lists.alioth.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org, olivier sallou <osallou@debian.org>:
Bug#701455; Package wnpp. (Sat, 23 Feb 2013 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.alioth.debian.org, debian-perl-packaging@lists.alioth.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org, olivier sallou <osallou@debian.org>. (Sat, 23 Feb 2013 11:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libgetopt-complete-perl -- programmable shell completion for Perl apps
Date: Sat, 23 Feb 2013 12:38:23 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: olivier sallou <osallou@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.alioth.debian.org,debian-perl-packaging@lists.alioth.debian.org,debian-med-packaging@lists.alioth.debian.org

* Package name    : libgetopt-complete-perl
  Version         : 0.26
  Upstream Author :  Washington University School of Medicine
* URL             : http://search.cpan.org/dist/Getopt-Complete/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : programmable shell completion for Perl apps

 Getopt::Complete makes it easy to add custom command-line completion to Perl applications. It also does additional validation of arguments, when the program is actually executed, based on completion lists.

 .

 Support is also present for apps which are an entry point for a hierarchy of sub-commands (in the style of cvs and git).

 .

 Getopt::Complete also wraps the standard options processing and exports it as a %ARGS hash at compile time, making using the arguments hassle-free.



-- 
gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438

[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Feb 2013 19:09:04 GMT) Full text and rfc822 format available.

Reply sent to Olivier Sallou <osallou@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 15:03:19 GMT) Full text and rfc822 format available.

Notification sent to "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 15:03:19 GMT) Full text and rfc822 format available.

Message #12 received at 701455-close@bugs.debian.org (full text, mbox):

From: Olivier Sallou <osallou@debian.org>
To: 701455-close@bugs.debian.org
Subject: Bug#701455: fixed in libgetopt-complete-perl 0.26-1
Date: Fri, 12 Apr 2013 15:00:05 +0000
Source: libgetopt-complete-perl
Source-Version: 0.26-1

We believe that the bug you reported is fixed in the latest version of
libgetopt-complete-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701455@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Olivier Sallou <osallou@debian.org> (supplier of updated libgetopt-complete-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Feb 2013 10:14:26 +0100
Source: libgetopt-complete-perl
Binary: libgetopt-complete-perl
Architecture: source all
Version: 0.26-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Olivier Sallou <osallou@debian.org>
Description: 
 libgetopt-complete-perl - programmable shell completion for Perl apps
Closes: 701455
Changes: 
 libgetopt-complete-perl (0.26-1) unstable; urgency=low
 .
   * Initial Release (Closes: #701455).
Checksums-Sha1: 
 33ca07387d0a7a1ea7691698a58c0836ac062c76 2153 libgetopt-complete-perl_0.26-1.dsc
 d5687b48fc8334dfda7ce270c93fa41db5e4d457 195816 libgetopt-complete-perl_0.26.orig.tar.gz
 649682fad9821b25371982939baeb1deb079823e 2148 libgetopt-complete-perl_0.26-1.debian.tar.gz
 968ea5a73d73998429d3e913017b1325e356e5c5 53792 libgetopt-complete-perl_0.26-1_all.deb
Checksums-Sha256: 
 9275a5452679c2f6ff7da808dd9c367556a306a925a46b90ff088ad56667e370 2153 libgetopt-complete-perl_0.26-1.dsc
 f1848afdb012756f3b73ffdc629349c19babaf042f6d09fdb33a110b7e102453 195816 libgetopt-complete-perl_0.26.orig.tar.gz
 6ef6f61d8250e9a9bd40d4ef57a8dda0acce4cacaf47a8cf3ff43093e756afb5 2148 libgetopt-complete-perl_0.26-1.debian.tar.gz
 266d5729458e84570bf31c51dcb6daa3cc6cf36acaeb9946571275cc9734f2df 53792 libgetopt-complete-perl_0.26-1_all.deb
Files: 
 295b2c73675f09498428b39dd9db74ee 2153 perl optional libgetopt-complete-perl_0.26-1.dsc
 f07bb7011d3ee6a26bee47b6c4a506b0 195816 perl optional libgetopt-complete-perl_0.26.orig.tar.gz
 b0fa40207f560f99e579e7ea0ed8fdc3 2148 perl optional libgetopt-complete-perl_0.26-1.debian.tar.gz
 424b630a4a0d31bdabb02697080412e7 53792 perl optional libgetopt-complete-perl_0.26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRLOmpAAoJELs6aAGGSaoGfGgP/1hUIvW1MKlJ5Mx70GTPmPcB
hOE/PdH/3II+kyMfojPdrI4JrhurKacRwShhVxMkAhoWnjgMgiCnr6JDNrxSePsG
zUMChQc5IRm/n24vsIcBin3dIZ54Tvs5w2QSJoI7IzAiPvjgOkMRcUAZGtCM3MCc
9h9LWJwlmzqe8sXWseAL8ymMJbhH1JHOhwENLDrZN4m2a5cciMX/fW3874HH5KS7
SFGAqgDsb48bKyiUM4iMSgIquhF3hGUH2kRaVROGN7HZ3Kd5N0AxGVBUVDRwuh2c
pzg2GrVk5oZcbGzSLV2J427ILM3vsZWp5KNaKj6lufJgQPSZIP89USmY2NPcWmBu
yKnRF3RzNbXbw3ixcoa1b2U/+ARtAs/Lk119Alho4ZS7gz6DCwgEIW0eccETGJv5
yiVjoRaE2gntKkugO/HRlKoqRak2/Uy+wtesHnikdpbx0B75G8cJasSCMPRA+z+f
+PYrhV1S8h5L47PmBfZGUp6pCP4e5VyxrkG6ATiYt+S2SzS2JSwfTGl7y61LlaT4
FJ+7uT9syUBhx53UZp0BqE70OU01uk70onM9xAt3vlmIVEaUcWDKASktlii5LZqT
i+MSBdbl04jEn25Nhl9GZ+1ic5aisTJ3gd50yiYJZkOWnOEwahRV6qBgR5jfeqZK
qXERHQm97ymYiEX/o36U
=i8iz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:32:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:40:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.